Bug 112148 - kernel detection during install
kernel detection during install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 07:52 EST by Frediano Ziglio
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 20:09:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frediano Ziglio 2003-12-15 07:52:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20030925

Description of problem:
It would be good if boot loader could detect proper kernel to boot and
use it so after install installer can just call pivot_root to switch
to installed system without even need to reboot the system.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Comment 1 Jeremy Katz 2003-12-16 20:09:43 EST
This would require far too much space on boot images and too many
different copies of modules to fill up ramdisk space.  Not to mention
basically the impossibility of detecting this within a boot loader.

Note You need to log in before you can comment on or make changes to this bug.